Update one of my addresses
PATCH
/store/v1/customers/me/addresses/{id}
const url = 'https://your-store.example.com/store/v1/customers/me/addresses/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"type":"shipping","isDefault":true,"name":"example","company":"example","line1":"example","line2":"example","city":"example","postalCode":"example","region":"example","country":"example","phone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://your-store.example.com/store/v1/customers/me/addresses/example \ --header 'Content-Type: application/json' \ --data '{ "type": "shipping", "isDefault": true, "name": "example", "company": "example", "line1": "example", "line2": "example", "city": "example", "postalCode": "example", "region": "example", "country": "example", "phone": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string